Bug 490843 - Spaces in Volume Name cause problems creating Live USB Image
Spaces in Volume Name cause problems creating Live USB Image
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 06:02 EDT by Rodd Clarkson
Modified: 2010-06-01 12:36 EDT (History)
7 users (show)

See Also:
Fixed In Version: 3.8.6-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of liveusb-creator (577 bytes, text/plain)
2009-04-18 08:29 EDT, Dominic Hopf
no flags Details
liveusb-creator.log (527 bytes, text/plain)
2009-04-18 08:30 EDT, Dominic Hopf
no flags Details

  None (edit)
Description Rodd Clarkson 2009-03-18 06:02:39 EDT
Description of problem:

I tried to create a liveusb image on two different (and brand new) usb sticks.  In both cases it didn't work, but I didn't noticed that it hadn't worked (the error message wasn't very prominent, and the next and final line suggested all was good even though it wasn't - another bug?).

The log file was somewhat vague, but it turns out that the spaces included in the volume names for both drivers was causing the problem.  Or a least, I'm sure it was causing issues on the second drive I used (I changed it and it all works properly now) and I'm confident that the same would be try for the other drive (as it has a space in the volume name).


Version-Release number of selected component (if applicable):

liveusb-creator-3.5-2.fc10.noarch


Expected results:

I would expect that this would be handled gracefully.

It should just work (it may be that spaces need to be escaped), but if this isn't possible, then at least liveusb-creator should advise that the space will cause it to fail and suggest how to change it (or change it for the user)
Comment 1 Dominic Hopf 2009-04-18 08:27:21 EDT
I have detected the same issue here with liveusb-creator-3.6.5-2.fc10.noarch. I will attach two files including the output of liveusb-creator (liveusb-creator-output.txt) and the liveusb-creator.log.
Comment 2 Dominic Hopf 2009-04-18 08:29:17 EDT
Created attachment 340147 [details]
output of liveusb-creator
Comment 3 Dominic Hopf 2009-04-18 08:30:19 EDT
Created attachment 340148 [details]
liveusb-creator.log
Comment 4 Robert Scheck 2009-04-18 08:59:53 EDT
Well, the sys.popen() (as the current implementation uses) doesn't seem to be 
very sane. According to http://www.python.org/dev/peps/pep-0324/, there are 
many better ways to do such things. And just doing '%s' will not solve your 
problems, as really any character can show up in the label name of a volume - 
including space, comma and quotations (all of them I've already seen in the
real life unluckily).

If a label of a medium would be " ; rm -rf /; " (without the ""), that even 
would cause damage. Thus this is IMHO considered to be a security issue...
Comment 5 Nikolay Nikolov 2009-11-01 18:31:32 EST
I discovered that installing Fedora 12 Beta (F12-Beta-i686-Live.iso) with liveusb-creator-3.7.1 under Windows XP on a usb flash drive that contains spaces in its volume name creates an image, that fails to boot. After attempting to boot from the usb drive, the following message appears:


No root device found


No root device found

Boot has failed, sleeping forever.


Fedora 11 (Fedora-11-i686-Live.iso) boots fine, but it seems that it fails to find its persistent overlay, so the changes to the file system are lost after reboot, even if you did create a persistent overlay.

The created syslinux.cfg (for Fedora 12 Beta) file contains the following kernel parameters:

label linux0
  menu label Boot
  kernel vmlinuz0
  append initrd=initrd0.img root=live:LABEL=USB_DISK rootfstype=vfat rw liveimg overlay=LABEL=USB_DISK quiet  rhgb

The volume name of the usb disk is "USB DISK".
Comment 6 Luke Macken 2009-11-06 20:01:47 EST
(In reply to comment #4)
> Well, the sys.popen() (as the current implementation uses) doesn't seem to be 
> very sane. According to http://www.python.org/dev/peps/pep-0324/, there are 
> many better ways to do such things. And just doing '%s' will not solve your 
> problems, as really any character can show up in the label name of a volume - 
> including space, comma and quotations (all of them I've already seen in the
> real life unluckily).

The liveusb-creator does not use sys.popen, and never has.
Comment 7 Robert Scheck 2009-11-06 21:13:05 EST
(In reply to comment #6)
> The liveusb-creator does not use sys.popen, and never has.  

robert@tux:~/liveusb-creator-3.7.3 > grep -r extlinux *
liveusb/creator.py:              os.path.join(syslinux_path, "extlinux.conf"))
liveusb/creator.py:    self.popen('extlinux -i %s' % syslinux_path)
robert@tux:~/liveusb-creator-3.7.3 >

Whatever *.popen is used - it's still a broken implementation and spaces still
seem to cause trouble.
Comment 8 Fedora Update System 2009-11-07 20:55:49 EST
liveusb-creator-3.8.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc12
Comment 9 Fedora Update System 2009-11-07 20:56:23 EST
liveusb-creator-3.8.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/liveusb-creator-3.8.6-1.fc11
Comment 10 Nikolay Nikolov 2009-11-09 11:24:44 EST
Hm, bug still occurs for me with liveusb-creator-3.8.6 (running under Windows).

No persistent overlay with Fedora 11.

No root device found with Fedora 12 RC4 (from http://alt.fedoraproject.org/pub/alt/stage/12-RC.4/Fedora-12-i686-Live/)
Comment 11 Fedora Update System 2009-11-10 12:47:52 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11209
Comment 12 Fedora Update System 2009-11-10 12:51:20 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11232
Comment 13 Bug Zapper 2009-11-18 02:48:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Rodd Clarkson 2009-11-18 02:59:21 EST
Bumping to 12 as it's been reported to occur there.
Comment 15 Fedora Update System 2009-11-20 00:10:02 EST
liveusb-creator-3.8.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-11-20 00:35:34 EST
liveusb-creator-3.8.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Phil V 2010-06-01 12:36:15 EDT
Problems still persist. Attempted to create a live boot/install usb for fedora 13 x86_64 using liveusb-creator (no error messages given)
3.9.1 Release    : 1.fc12


Boot options menu appears on keystroke
Memory test works fine.
"Boot" goes through the boot process filling the teardrop and then 


No root device found
Boot has failed, sleeping forever.

Note You need to log in before you can comment on or make changes to this bug.